Subject: Re: linux-next: Fixes tag needs some work in the qcom tree

From: Bjorn Andersson <[email-masked]>
Date: Sun, 13 Feb 2022 20:53:04 -0800

On Sun 13 Feb 03:52 PST 2022, Robert Marko wrote:

> On Sun, 13 Feb 2022 at 11:39, Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > In commit
> >
> >   bf8f5182b8f5 ("clk: qcom: ipq8074: fix PCI-E clock oops")
> >
> > Fixes tag
> >
> >   Fixes: f0cfcf1a ("clk: qcom: ipq8074: Add missing clocks for pcie")
> >
> > has these problem(s):
> >
> >   - SHA1 should be at least 12 digits long
> >     Can be fixed for the future by setting core.abbrev to 12 (or more)
> >     or (for git v2.11 or later) just making sure it is not set (or set to
> >     "auto").
> 
> Hi Stephen,
> 
> Sorry for the short hash, don't know how this happened.
> Do you want me to send a v3 with the fixed hash?
> 

No need, I could update the commit as is. But given that I would have to
rebase 20 other patches I'm hesitant to fix it.

Given that checkpatch catches this issue in commit references in the
message and other issues in Fixes I was expecting it to catch this one
as well... Will make sure to look for this going forward (or perhaps
figure out how to improve checkpatch...)

Thanks,
Bjorn